--- /dev/null
+++ udev-167/extra/create_static_nodes
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+
+make_extra_nodes() {
+  [ -e /etc/udev/links.conf ] || return 0
+
+  grep '^[^#]' /etc/udev/links.conf | \
+  while read type name arg1; do
+    [ "$type" -a "$name" -a ! -e "/$1/$name" -a ! -L "/$1/$name" ] || continue
+    case "$type" in
+      L) ln -s $arg1 /$1/$name ;;
+      D) mkdir -p /$1/$name ;;
+      M) mknod -m 600 /$1/$name $arg1 ;;
+      *) echo "links.conf: unparseable line ($type $name $arg1)" >&2 ;;
+    esac
+
+    if [ -x /sbin/restorecon ]; then
+      /sbin/restorecon /dev/$name
+    fi
+  done
+}
+
+if [ "$1" ]; then
+  devdir="$1"
+else
+  devdir='/dev'
+fi
+
+make_extra_nodes $devdir
+
+exit 0
+
--- /dev/null
+++ udev-167/extra/links.conf
@@ -0,0 +1,15 @@
+# This file does not exist. Please do not ask the Debian maintainer about it.
+# If you need manually created devices, create them in /lib/udev/devices/ .
+
+D pts
+D shm
+
+M null		c   1 3
+M console	c   5 1
+
+# Hic sunt leones.
+M ppp		c 108 0
+M loop0		b   7 0
+D net
+M net/tun	c  10 200
+
--- /dev/null
+++ udev-167/extra/udev.vim
@@ -0,0 +1,45 @@
+" Vim syntax file
+" Language:	udev rules files
+" Maintainer:	Marco d'Itri <md@linux.it>
+" Last Change:	2005 August
+"
+" This syntax file is unfinished. If you can, please clean it up and submit
+" it for inclusion in the vim package.
+
+if exists("b:current_syntax")
+  finish
+endif
+
+let b:current_syntax = "udev"
+
+syn keyword Ucondition	ACTION ENV RESULT KERNEL SUBSYSTEM DRIVER ATTR
+syn keyword Ucondition	KERNELS SUBSYSTEMS DRIVERS ATTRS DEVPATH TEST
+syn keyword Ucondition	nextgroup=Uparambr,Uoperator
+syn keyword Uaction	PROGRAM NAME SYMLINK OWNER GROUP MODE RUN OPTIONS
+syn keyword Uaction	IMPORT GOTO LABEL
+syn keyword Uaction	nextgroup=Uparambr,Uoperator
+syn region  Uparambr	start=/{/ end=/}/ contains=Uparam
+syn match   Uparam	'[A-Za-z0-9_]*' contained
+syn match   Ufnmatch	"[?*|]" contained
+syn region  Ufnmatch	start=/\[/ skip=/\\\]/ end=/\]/ contained
+syn match   Uprintf	'%[beknMmps%]\|%c{[0-9]}' contained
+syn match   Ustringvar	'\$[a-z]*' nextgroup=Uparambr
+syn match   Ustring	'"[^"]*"' contains=Uprintf,Ufnmatch,Ustringvar
+syn match   Uoperator	"==\|!=\|=\|+=\|:=\|,"
+syn match   Ueol	'\\$'
+syn region  Ucomment	start=/#/ end=/$/
+syn keyword Utodo	contained TODO FIXME XXX
+
+hi def link Ucondition	Identifier
+hi def link Uaction	Identifier
+hi def link Uparambr	Delimiter
+hi def link Uparam	PreProc
+hi def link Ufnmatch	Special
+hi def link Uprintf	Special
+hi def link Ustringvar	Function
+hi def link Ustring	String
+hi def link Uoperator	Operator
+hi def link Ueol	Delimiter
+hi def link Ucomment	Comment
+hi def link Utodo	Todo
+
